package com.gic.haoban.manage.web.qo.welcome;

import com.gic.haoban.manage.api.dto.welcome.dto.WelcomeSuitDepartmentDTO;
import com.gic.haoban.manage.api.dto.welcome.dto.WelcomeSuitStaffDTO;
import org.hibernate.validator.constraints.NotEmpty;

import java.io.Serializable;
import java.util.List;

/**
 * desc：保存欢迎语qo
 *
 * @author: YongEn
 * @date: 2022/2/9
 **/
public class SaveWelcomeQO implements Serializable {
    private static final long serialVersionUID = 5563693523008686521L;
    /**
     * 欢迎语id
     */
    private String welcomeId;
    /**
     * 微信企业id
     */
    @NotEmpty(message = "微信企业id不能为空")
    private String wxEnterpriseId;
    /**
     * 标题
     */
    @NotEmpty(message = "标题不能为空")
    private String title;
    /**
     * 内容
     */
    @NotEmpty(message = "内容不能为空")
    private String welcomeContent;
    /**
     * 默认欢迎语标记 1是 0否  1 全体成员 0 部分成员
     */
    private Integer defaultWelcomeFlag;
    /**
     * 媒体列表
     */
    private List<SaveWelcomeMediaQO> welcomeMediaList;
    /**
     * 适用部门新增列表
     */
    private List<WelcomeSuitDepartmentDTO> suitDepartmentAddList;
    /**
     * 适用部门删除列表
     */
    private List<WelcomeSuitDepartmentDTO> suitDepartmentDeleteList;
    /**
     * 适用员工新增列表
     */
    private List<WelcomeSuitStaffDTO> suitStaffAddList;
    /**
     * 适用员工删除列表
     */
    private List<WelcomeSuitStaffDTO> suitStaffDeleteList;

    /**
     * @see com.gic.haoban.manage.api.enums.hm.HmWelcomeType
     */
    private Integer type;

    private int scene = 1 ;

    public int getScene() {
        return scene;
    }

    public void setScene(int scene) {
        this.scene = scene;
    }

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getWelcomeContent() {
        return welcomeContent;
    }

    public void setWelcomeContent(String welcomeContent) {
        this.welcomeContent = welcomeContent;
    }

    public Integer getDefaultWelcomeFlag() {
        return defaultWelcomeFlag;
    }

    public void setDefaultWelcomeFlag(Integer defaultWelcomeFlag) {
        this.defaultWelcomeFlag = defaultWelcomeFlag;
    }

    public List<SaveWelcomeMediaQO> getWelcomeMediaList() {
        return welcomeMediaList;
    }

    public void setWelcomeMediaList(List<SaveWelcomeMediaQO> welcomeMediaList) {
        this.welcomeMediaList = welcomeMediaList;
    }

    public List<WelcomeSuitDepartmentDTO> getSuitDepartmentAddList() {
        return suitDepartmentAddList;
    }

    public void setSuitDepartmentAddList(List<WelcomeSuitDepartmentDTO> suitDepartmentAddList) {
        this.suitDepartmentAddList = suitDepartmentAddList;
    }

    public List<WelcomeSuitDepartmentDTO> getSuitDepartmentDeleteList() {
        return suitDepartmentDeleteList;
    }

    public void setSuitDepartmentDeleteList(List<WelcomeSuitDepartmentDTO> suitDepartmentDeleteList) {
        this.suitDepartmentDeleteList = suitDepartmentDeleteList;
    }

    public List<WelcomeSuitStaffDTO> getSuitStaffAddList() {
        return suitStaffAddList;
    }

    public void setSuitStaffAddList(List<WelcomeSuitStaffDTO> suitStaffAddList) {
        this.suitStaffAddList = suitStaffAddList;
    }

    public List<WelcomeSuitStaffDTO> getSuitStaffDeleteList() {
        return suitStaffDeleteList;
    }

    public void setSuitStaffDeleteList(List<WelcomeSuitStaffDTO> suitStaffDeleteList) {
        this.suitStaffDeleteList = suitStaffDeleteList;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "SaveWelcomeQO{" +
                "welcomeId='" + welcomeId + '\'' +
                ", wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", title='" + title + '\'' +
                ", welcomeContent='" + welcomeContent + '\'' +
                ", suitDepartmentAddList=" + suitDepartmentAddList +
                ", suitDepartmentDeleteList=" + suitDepartmentDeleteList +
                ", suitStaffAddList=" + suitStaffAddList +
                ", suitStaffDeleteList=" + suitStaffDeleteList +
                '}';
    }
}
